### Callable

- resolve(hostname: string, callback: function): void
- resolve(hostname: string, rrtype: "A", callback: function): void
- resolve(hostname: string, rrtype: "AAAA", callback: function): void
- resolve(hostname: string, rrtype: "ANY", callback: function): void
- resolve(hostname: string, rrtype: "CNAME", callback: function): void
- resolve(hostname: string, rrtype: "MX", callback: function): void
- resolve(hostname: string, rrtype: "NAPTR", callback: function): void
- resolve(hostname: string, rrtype: "NS", callback: function): void
- resolve(hostname: string, rrtype: "PTR", callback: function): void
- resolve(hostname: string, rrtype: "SOA", callback: function): void
- resolve(hostname: string, rrtype: "SRV", callback: function): void
- resolve(hostname: string, rrtype: "TXT", callback: function): void
- resolve(hostname: string, rrtype: string, callback: function): void

- - Defined in node_modules/@types/node/dns.d.ts:147

  #### Parameters

  - ##### hostname: string

  - ##### callback: function

    - - (err: ErrnoException, addresses: string[]): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### addresses: string[]

        #### Returns void

- - Defined in node_modules/@types/node/dns.d.ts:148

  #### Parameters

  - ##### hostname: string

  - ##### rrtype: "A"

  - ##### callback: function

    - - (err: ErrnoException, addresses: string[]): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### addresses: string[]

        #### Returns void

- - Defined in node_modules/@types/node/dns.d.ts:149

  #### Parameters

  - ##### hostname: string

  - ##### rrtype: "AAAA"

  - ##### callback: function

    - - (err: ErrnoException, addresses: string[]): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### addresses: string[]

        #### Returns void

- - Defined in node_modules/@types/node/dns.d.ts:150

  #### Parameters

  - ##### hostname: string

  - ##### rrtype: "ANY"

  - ##### callback: function

    - - (err: ErrnoException, addresses: AnyRecord[]): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### addresses: AnyRecord[]

        #### Returns void

- - Defined in node_modules/@types/node/dns.d.ts:151

  #### Parameters

  - ##### hostname: string

  - ##### rrtype: "CNAME"

  - ##### callback: function

    - - (err: ErrnoException, addresses: string[]): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### addresses: string[]

        #### Returns void

- - Defined in node_modules/@types/node/dns.d.ts:152

  #### Parameters

  - ##### hostname: string

  - ##### rrtype: "MX"

  - ##### callback: function

    - - (err: ErrnoException, addresses: MxRecord[]): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### addresses: MxRecord[]

        #### Returns void

- - Defined in node_modules/@types/node/dns.d.ts:153

  #### Parameters

  - ##### hostname: string

  - ##### rrtype: "NAPTR"

  - ##### callback: function

    - - (err: ErrnoException, addresses: NaptrRecord[]): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### addresses: NaptrRecord[]

        #### Returns void

- - Defined in node_modules/@types/node/dns.d.ts:154

  #### Parameters

  - ##### hostname: string

  - ##### rrtype: "NS"

  - ##### callback: function

    - - (err: ErrnoException, addresses: string[]): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### addresses: string[]

        #### Returns void

- - Defined in node_modules/@types/node/dns.d.ts:155

  #### Parameters

  - ##### hostname: string

  - ##### rrtype: "PTR"

  - ##### callback: function

    - - (err: ErrnoException, addresses: string[]): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### addresses: string[]

        #### Returns void

- - Defined in node_modules/@types/node/dns.d.ts:156

  #### Parameters

  - ##### hostname: string

  - ##### rrtype: "SOA"

  - ##### callback: function

    - - (err: ErrnoException, addresses: SoaRecord): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### addresses: SoaRecord

        #### Returns void

- - Defined in node_modules/@types/node/dns.d.ts:157

  #### Parameters

  - ##### hostname: string

  - ##### rrtype: "SRV"

  - ##### callback: function

    - - (err: ErrnoException, addresses: SrvRecord[]): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### addresses: SrvRecord[]

        #### Returns void

- - Defined in node_modules/@types/node/dns.d.ts:158

  #### Parameters

  - ##### hostname: string

  - ##### rrtype: "TXT"

  - ##### callback: function

    - - (err: ErrnoException, addresses: string[][]): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### addresses: string[][]

        #### Returns void

- - Defined in node_modules/@types/node/dns.d.ts:159

  #### Parameters

  - ##### hostname: string

  - ##### rrtype: string

  - ##### callback: function

    - - (err: ErrnoException, addresses: string[] | MxRecord[] | NaptrRecord[] | SoaRecord | SrvRecord[] | string[][] | AnyRecord[]): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### addresses: string[] | MxRecord[] | NaptrRecord[] | SoaRecord | SrvRecord[] | string[][] | AnyRecord[]

        #### Returns void

## Index

### Functions

- __promisify__

## Functions

### __promisify__

- __promisify__(hostname: string, rrtype?: "A" | "AAAA" | "CNAME" | "NS" | "PTR"): Promise<string[]>
- __promisify__(hostname: string, rrtype: "ANY"): Promise<AnyRecord[]>
- __promisify__(hostname: string, rrtype: "MX"): Promise<MxRecord[]>
- __promisify__(hostname: string, rrtype: "NAPTR"): Promise<NaptrRecord[]>
- __promisify__(hostname: string, rrtype: "SOA"): Promise<SoaRecord>
- __promisify__(hostname: string, rrtype: "SRV"): Promise<SrvRecord[]>
- __promisify__(hostname: string, rrtype: "TXT"): Promise<string[][]>
- __promisify__(hostname: string, rrtype: string): Promise<string[] | MxRecord[] | NaptrRecord[] | SoaRecord | SrvRecord[] | string[][] | AnyRecord[]>

- - Defined in node_modules/@types/node/dns.d.ts:167

  #### Parameters

  - ##### hostname: string

  - ##### Optional rrtype: "A" | "AAAA" | "CNAME" | "NS" | "PTR"

  #### Returns Promise<string[]>

- - Defined in node_modules/@types/node/dns.d.ts:168

  #### Parameters

  - ##### hostname: string

  - ##### rrtype: "ANY"

  #### Returns Promise<AnyRecord[]>

- - Defined in node_modules/@types/node/dns.d.ts:169

  #### Parameters

  - ##### hostname: string

  - ##### rrtype: "MX"

  #### Returns Promise<MxRecord[]>

- - Defined in node_modules/@types/node/dns.d.ts:170

  #### Parameters

  - ##### hostname: string

  - ##### rrtype: "NAPTR"

  #### Returns Promise<NaptrRecord[]>

- - Defined in node_modules/@types/node/dns.d.ts:171

  #### Parameters

  - ##### hostname: string

  - ##### rrtype: "SOA"

  #### Returns Promise<SoaRecord>

- - Defined in node_modules/@types/node/dns.d.ts:172

  #### Parameters

  - ##### hostname: string

  - ##### rrtype: "SRV"

  #### Returns Promise<SrvRecord[]>

- - Defined in node_modules/@types/node/dns.d.ts:173

  #### Parameters

  - ##### hostname: string

  - ##### rrtype: "TXT"

  #### Returns Promise<string[][]>

- - Defined in node_modules/@types/node/dns.d.ts:174

  #### Parameters

  - ##### hostname: string

  - ##### rrtype: string

  #### Returns Promise<string[] | MxRecord[] | NaptrRecord[] | SoaRecord | SrvRecord[] | string[][] | AnyRecord[]>

Generated using TypeDoc